Creates a new recurring set-schedule shift for the employee.
Permissions: Unit users.
Path Parameters
- Type: stringFormat: uuidlocal
Employee Id required
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
- Properties: 5Type: { EndTime, IsBreak, ScheduleBreakID, +2 }Details
- Type: stringFormat: uuidJob
I D - Type: Format: int32enumWeek
Day Signed 32-bit integers (commonly used integer type).
values1234567
Responses
Request Example for post/v2/store/employees/{localEmployeeId}/set-schedule
curl /v2/store/employees/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/set-schedule \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"WeekDay": 1,
"JobID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Details": [
{
"IsBreak": true,
"StationID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ScheduleBreakID": null,
"StartTime": "21:30:00",
"EndTime": "21:30:00"
}
]
}'
{
"ID": 1,
"LocalEmployeeID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"WeekDay": 1,
"JobID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"JobName": null,
"Details": [
{
"ID": 1,
"IsBreak": true,
"StationID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"StationName": null,
"ScheduleBreakID": null,
"BreakName": null,
"StartTime": "21:30:00",
"EndTime": "21:30:00"
}
]
}OK
